# Class CAMetadataPackageMatchExpressions

java.lang.Object
com.io7m.cardant.parsers.CAExpressions
com.io7m.cardant.parsers.CAMetadataPackageMatchExpressions

All Implemented Interfaces:
  `CASyntaxType`

public final class CAMetadataPackageMatchExpressions extends CAExpressions
Expression parsers for name match expressions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAMetadataPackageMatchExpressions(CAStrings inStrings)`
  Expression parsers for name match expressions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CANameMatchExact`
  `metadataPackageMatch(com.io7m.jsx.SExpressionType e)`
  Parse a match expression for names.
  `CANameMatchExact`
  `metadataPackageMatch(String text)`
  Parse a match expression for names.
  `com.io7m.jsx.SExpressionType`
  `metadataPackageMatchSerialize(CAComparisonExactType<String> expression)`
  Serialize a match expression.
  `String`
  `metadataPackageMatchSerializeToString(CANameMatchExact value)`
  Serialize a match expression to a string.
  `SortedSet<CASyntaxRuleType>`
  `syntaxRules()`

  ### Methods inherited from class com.io7m.cardant.parsers.CAExpressions

  `createParseError, createParseError, parse, ruleBranch, ruleLeaf, ruleLeafWithExamples, serialize, strings`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CAMetadataPackageMatchExpressions

    public CAMetadataPackageMatchExpressions(CAStrings inStrings)
    Expression parsers for name match expressions.
    Parameters:
      `inStrings` - The string resources

- ## Method Details

  - ### metadataPackageMatch

    public CANameMatchExact metadataPackageMatch(String text) throws CAException
    Parse a match expression for names.
    Parameters:
      `text` - The input text
    Returns:
      A match expression
    Throws:
      `CAException` - On errors

  - ### metadataPackageMatch

    public CANameMatchExact metadataPackageMatch(com.io7m.jsx.SExpressionType e) throws CAException
    Parse a match expression for names.
    Parameters:
      `e` - The input expression
    Returns:
      A match expression
    Throws:
      `CAException` - On errors

  - ### metadataPackageMatchSerializeToString

    public String metadataPackageMatchSerializeToString(CANameMatchExact value) throws CAException
    Serialize a match expression to a string.
    Parameters:
      `value` - The expression
    Returns:
      The serialized text
    Throws:
      `CAException` - On errors

  - ### metadataPackageMatchSerialize

    public com.io7m.jsx.SExpressionType metadataPackageMatchSerialize(CAComparisonExactType<String> expression)
    Serialize a match expression.
    Parameters:
      `expression` - The expression
    Returns:
      The serialized expression

  - ### syntaxRules

    public SortedSet<CASyntaxRuleType> syntaxRules()
    Returns:
      The syntax rules